##' Teitz and Bart's \eqn{p}-median problem with Spatial* and Spatial*DataFrame objects
##' 
##' \tabular{ll}{
##'  Package: \tab tbart\cr
##'  Type: \tab Package\cr
##'  Version: \tab 1.0\cr
##'  Date: \tab 2015-02-12\cr
##'  License: \tab GPL (>= 2)\cr
##'  Maintainer: \tab Chris Brunsdon \url{mailto:christopher.brunsdon@@nuim.ie} \cr
##'}
##'
##'
##' @name tbart-package
##' @docType package
##' @author Chris Brunsdon
##' @description 
##' Solves Teitz and Bart's \eqn{p}-median problem - given a set of
##' points attempts to find subset of size p such that summed distances of any
##' point in the set to the nearest point in p is minimised.  Although
##' generally effective, this algorithm does not guarantee that a globally
##' optimal subset is found.
##' @references Teitz, M. B., and P. Bart (1968), Heuristic methods for estimating generalized vertex median of a weighted graph, Operations Research, 16, 955-961.
NULL

